import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

public class equilibrium4
{
  public static void main(String arg[])
  {   String s[]={"co","o2","co2"};
      double Tproduct=3000.0;//degree K
      double Treactant=3000.0;//degree K
      double n0[]={1,1,0};
      double P=1.01325;//bar
	  f_G fe=new f_G(n0,s,Treactant,Tproduct,P);  
	  double x[]={0.3350816779903834,0.6675408389952318,0.6649183220096443,0.0,0.0};
	  double y[]=fe.func(x);
	  double [] r1= continuity.continuationRK6(fe,x,20);
      Text.print(r1);
  }
}
